# -- Check for libv4l1-videodev.h presence --------------------

AC_MSG_CHECKING([for libv4l1-videodev.h])

AC_TRY_COMPILE([
#include <libv4l1-videodev.h>
],
[
],
        ac_have_libv4l1_videodev_h=yes
,
        ac_have_libv4l1_videodev_h=no
)

if test $ac_have_libv4l1_videodev_h = yes; then
        AC_DEFINE(HAVE_LIBV4L1_VIDEODEV_H, 1, [Define if you have libv4l1-videodev.h installed])
fi

AC_MSG_RESULT($ac_have_libv4l1_videodev_h)

# -- End libv4l1-videodev.h ----------------------------------------------

# -- Check for installed videodev headers --------------------

AC_MSG_CHECKING([for videodev.h])

AC_TRY_COMPILE([
#include <linux/videodev.h>
],
[
],
	ac_have_videodev_h=yes
,
	ac_have_videodev_h=no
)

if test $ac_have_videodev_h = yes; then
	AC_DEFINE(HAVE_LINUX_VIDEODEV_H, 1, [Define if you have videodev.h installed])
fi

AC_MSG_RESULT($ac_have_videodev_h)

# -- End videodev ----------------------------------------------
